function state = boundaryConditions(state, bound)
	if nargin < 2
		% minX, maxX, minY, maxY
		bound = [0 1 0 1];
	end
	
	if state.x < bound(1)
		state.x = bound(1) - state.x;
		[px, py] = pol2cart(state.dir, 1);
		state.dir = cart2pol(-px, py);
	end
		
	if state.y < bound(3)
		state.y = bound(3) - state.y;
		[px, py] = pol2cart(state.dir, 1);
		state.dir = cart2pol(px, -py);
	end


	if state.x > bound(2)
		state.x = bound(2)-(state.x - bound(2));
		[px, py] = pol2cart(state.dir, 1);
		state.dir = cart2pol(-px, py);
	end

	if state.y > bound(4)
		state.y = bound(4)-(state.y - bound(4));
		[px, py] = pol2cart(state.dir, 1);
		state.dir = cart2pol(px, -py);
	end
