% clear all
close
figure(1)
debug = false;
debug = true;

crp = [80 80 150 150];

axis ([0 1 0 1]);
axis equal

par.speed = 0.3;

ball.x = 0.5;
ball.y = 0.5;
ball.xprev = 0.5;
ball.yprev = 0.5;
% ball.dir = pi/4; % 2*pi*rand();
ball.dir = 2*pi*rand();
ball.dir = 0.5*pi*rand()+0.25*pi;
% ball.dir = pi/2;
ball.speed = par.speed;

player.x = 0.5;
player.y = 0.1;
player.width = 0.2;

score = 0;
lifes = 3;

iminit=getimage('http://147.228.47.85/snapshot.jpg');
iminit = imcrop(iminit,crp);
% iminit = im2double(getimage('http://147.228.47.85/snapshot.jpg'));

markextensionsInit





tic
t = toc;

%while t < 30
while lifes > 0
    tprev = t;
	t = toc;
    dt = t - tprev;
    
    
    texttext = {};
    textx = [];
    texty = [];
    
    
    % zpracovani obrazu
    im = (getimage('http://147.228.47.85/snapshot.jpg'));    
    im = imcrop(im,crp);
    [px,py, dbgimg] = zpracovaniObrazu(im,iminit);
    
    
    %% vzualizace debug
    if debug
%         im = dbgimg;
        im(round(px*size(im,1)), :,:) = 1;
        im(:, round(py*size(im,2)),:) = 1;
        figure(2);
        imshow(im);
    end


%     cx = 0.5;
%     cy = 0;
    % vykreslovani
	
    %% posun micku
	[dx dy] = pol2cart(ball.dir, ball.speed);
	
   
    
    ball.xprev = ball.x;
    ball.yprev = ball.y;
	ball.x = ball.x + dx*dt;
	ball.y = ball.y + dy*dt;
	
	
	
    %% hrac
    % nastaveni nove polohy hrace
    % nemuze se jit od kraju
    pcx = (px - 0.1)/0.8;
    pcy = (py - 0.1)/0.8;
    
    if pcx < 0
        pcx = 0;
    elseif pcx > 1
        pcx = 1;
    end
    if pcy < 0
        pcy = 0;
    elseif pcy > 1
        pcy = 1;
    end

    
    player.x = pcx;
    
    
	[plx, ply] = playerPosition(player);
    
    [ball, collision] = objectReflection(ball, plx, ply,4);
    
    if collision 
        score = score + 1;
       
    end
	
    %% hriste
    
    collision = objectCollisions(ball, [0 1], [0 0]);
    if collision 
        lifes= lifes -1;
        ball.x = 0.5;
        ball.y = 0.5;
        ball.xprev = 0.5;
        ball.yprev = 0.5;
        ball.dir = 0.5*pi*rand()+0.25*pi;
        %ball.speed = par.speed;
    
        figure(1)
        hold on
        text(0.4,0.4,'Death')
        hold off
        drawnow
        pause(1);
        tprev=toc;
        t=toc;
    end
    
    
	ball = boundaryConditions(ball,[0 1 0 1]);
    
    
    	%% rozsreni
%     
	
	
    %% vykresleni
    
	
	figure(1);
    
	plot(ball.x, ball.y, 'ro');
   
	hold on
	plot (plx,ply, 'b');
    plot (px, py, 'xg')
    markextensions
	hold off
    axis equal
	axis ([0 1 0 1]);
    
    text(0.1, 0.9 , ['Score: ' num2str(score) ]);
    text(0.1, 0.85, ['Lifes: ' num2str(lifes)]);
    text(textx, texty, texttext);
	
	


	
	
	drawnow
	%pause(0.2)

%t=toc;
end