% rozsireni hry

%% Levely


% preskocime level
if ceil(t/leveltime) ~= ceil(tprev/leveltime)
    level = ceil(t/leveltime);
    ball.speed = par.speed + (level - 1)*dspeed ;
end

% figure(1)
% text(0.1, 0.8, ['Level: ' num2str(level)]);

textx(end + 1) = 0.1;
texty(end + 1) = 0.8;
texttext{end + 1} = ['Level: ' num2str(level)];

textx(end + 1) = 0.1;
texty(end + 1) = 0.75;
texttext{end + 1} = ['Time: ' num2str(floor(t))];

textx(end + 1) = 0.1;
texty(end + 1) = 0.7;
texttext{end + 1} = ['FPS: ' num2str(round(1/dt))];


%% Extra Life
if t > extralifeTiming & t < extralifeTimingend
    disp('Extra Life');
    elpx = [extralifePositionX, extralifePositionX + extralifeSize];
    elpy = [extralifePositionY, extralifePositionY];
%     figure(1);
%     hold on
    plot (elpx, elpy, 'r')
%     hold off
%     axis ([0 1 0 1]);

   collision = objectCollisions(ball, elpx, elpy);
   if collision 
        textx(end + 1) = 0.4;
        texty(end + 1) = 0.4;
        texttext{end + 1} = ['Extra Life!' num2str(round(1/dt))];
        lifes = lifes + 1;
        
        extralifeTiming = t + rand([1 1]) * extralifeNextMaxTime + 20;
        extralifeTimingend = t + extralifeTiming + extralifeDelay;
        extralifePositionX = rand([1 1]) * 0.6 + 0.2;
        extralifePositionY = rand([1 1]) * 0.4 + 0.3;

   end
end