% Funkce zjisti zda balon prosel carou a odrazi jej.
% Zatim je naimplementovano pouze pro vodorovne prekazky
function [ball, coll] = objectReflection(ball, plx,ply, zakulaceni)
if nargin < 4
    zakulaceni = 0;
end
coll = false;

% predpoklada se jen vodorovnou prekazku
% vypocet obsahuje radu dalsich zjednoduseni
if ((ball.y-ply(1)) * (ball.yprev-ply(1))) < 0
    % pokud balon prosel pres vodorovnou osu
    if ((ball.x - plx(1)) * (ball.x - plx(2) )) < 0
        % balon je mezi souradnicemi prekazky
        
        vzdalOdStredu = ((plx(2) + plx(1))/2 - ball.x)/abs((plx(2) + plx(1)))
        
        coll = true;
        [px, py] = pol2cart(ball.dir, 1);
		ball.dir = cart2pol(px, -py);
        
        % smerem od ke krajum se meni uhel odrazu
        ball.dir = ball.dir + vzdalOdStredu*zakulaceni;
        
        ball.y = ply(1) + (ply(1) - ball.y) ;
    end
end