% Funkce vytvari data pro ovladani hrace
% [px, py] = zpracovaniObrazu(im, iminit);
%
% im: aktualni obraz z kamery
% iminit: inicializacni obraz z kamery
% px: x-souradnice vystupu
% py: y-souradnice vystupu
function [px, py, dbgimg] = zpracovaniObrazu(im, iminit);

iminit = im2double(rgb2gray(iminit));

im = im2double(rgb2gray(im));

imd = abs(im - iminit);
imd = imd > 0.5;

    
[cax cay] = find(imd);
px = mean(cax) / size(im,1);
py = mean(cay) / size(im,2);    

if cax > 0 & cay > 0
    a= 1;
else
    px = 0.5;
    py = 0.5;
end
dbgimg = imd;